﻿
.index-top-box{
    display: block;
    width: 100%;
    text-align: center;
    font-size: 30px;
    background-color: #fafafa;
    color: #389cd2;
}
.index-top-box span{
    display: inline-block;
    writing-mode: vertical-lr;
}
footer{
    background-color: #f5f5f5;
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
    font-size: 0;
    box-shadow: 0 0 5px #aaa;
}
.footer-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    padding-bottom: 10px;
}
.footer-info-box{
    box-sizing: border-box;
    padding: 100px 0;
}
.footer-info-connection-box{
    width: 200px;
    display: inline-block;
    vertical-align: top;
}
.footer-info-map-box{
    width: calc(100% - 570px);
    display: inline-block;
    vertical-align: top;
    height: 150px;
    margin: 0 50px;
    box-sizing: border-box;
}
.footer-info-connection-name{
    font-size: 14px;
    font-family: 'Roboto', sans-serif;
    font-weight: lighter;
    letter-spacing: 3px;
}
.footer-info-connection-phone{
    margin: 30px 0;
}
.footer-phone{
    font-size: 14px;
    color: #555;
    font-family: 'Roboto', sans-serif;
    font-weight: lighter;
    letter-spacing: 1px;
    transition: all .3s linear;
}

.footer-info-connection-tel-box{
    margin-bottom: 10px;
}
.footer-phone span{
    font-size: 14px;
    color: #555;
    font-family: 'Roboto', sans-serif;
    font-weight: lighter;
    letter-spacing: 1px;
}
.footer-info-connection-fax-box a{
    cursor: inherit;
}
.footer-info-connection-address{
    font-size: 14px;
    color: #555;
    letter-spacing: 1px;
    transition: all .3s linear;
}
.footer-info-connection-address i{
    margin-right: 10px;
}
.footer-info-about-box{
    width: 120px;
    display: inline-block;
    vertical-align: top;
}
.footer-info-follow-box{
    width: 150px;
    display: inline-block;
    vertical-align: top;
}
.footer-info-title{
    font-family: 'Roboto', sans-serif;
    font-size: 14px;
    color: #333;
    letter-spacing: 1px;
    margin-bottom: 10px;
    font-weight: bold;
}
.footer-info{
    display: block;
    font-size: 14px;
    color: #888;
    font-weight: lighter;
    letter-spacing: 1px;
    margin-bottom: 10px;
    transition: all .3s linear;
}
.footer-info i{
    color: #333;
    font-size: 16px;
    margin-right: 2px;
}
.footer-logo{
    width: 160px;
    display: inline-block;
    vertical-align: bottom;
}
.footer-web{
    width: calc(100% - 160px);
    display: inline-block;
    vertical-align: bottom;
    font-size: 12px;
    color: #888;
    text-align: right;
}

.index-connection-icon-box{
    display: block;
    position: fixed;
    bottom: 15%;
    right: 20px;
    color: #389cd2;
    font-size: 0;
    line-height: 0;
    z-index: 999;
}
.index-connection-icon{
    width: 45px;
}
.index-connection-icon i{
    font-size: 50px;
    cursor: pointer;
    display: block;
    line-height: 1;
    transition: all .3s linear;
}
.index-connection-icon a{
    background-color: transparent;
    display: block;
}
.index-connection-icon:nth-child(n + 2){
    margin-top: 10px;

}
/*<-----------hover----------->*/
.index-connection-icon i:hover{
    color: #389cd2;
}
.footer-info:hover,
.footer-info:hover i{
    color: #389cd2;
}
.footer-info-connection-tel-box:hover{
    color: #389cd2;
}
.footer-info-connection-address:hover{
    color: #389cd2;
}
.index-top-box:hover span{
    animation: animation_footertop 2s linear infinite;
}

@media only screen and (max-width: 1200px){
    .footer-box{
        width: 95%;
    }
}
@media only screen and (max-width: 1000px){
    .footer-box{
        padding-bottom: 50px;
    }
    .index-top-box{
        display: none;
    }
    .footer-info-connection-box{
        display: block;
        width: 100%;
        text-align: center;
        margin-bottom: 50px;
    }
    .footer-info-box{
        padding: 50px 0;
    }
    .footer-info-map-box{
        width: calc(100% - 370px);
    }
}
@media only screen and (max-width: 700px){
    .footer-info-box{
        padding: 50px 0;
    }
    .footer-info-connection-box{
        width: 100%;
        display: block;
        margin-bottom: 20px;
    }
    .footer-info-connection-phone{
        margin: 20px 0;
    }
    .footer-info-about-box{
        display: none;
    }
    .footer-info-map-box{
        width: calc(100% - 250px);
    }
}
@media only screen and (max-width: 500px){
    .footer-logo{
        display: none;
    }
    .footer-web{
        width: 100%;
    }
    .footer-info-box{
        padding: 20px 0;
    }
    .index-connection-icon i{
        font-size: 34px;
    }
    .index-connection-icon-box{
        top: inherit;
        bottom: 80px;
        right: 10px;
        z-index: 8;
    }
    .index-connection-icon{
        width: 36px;
        display: inline-block;
        margin-left: 10px;
    }
    .footer-info-map-box{
        width: 100%;
        margin: 0;
    }
    .footer-info-follow-box{
        margin-top: 20px;
        width: 100%;
    }
    .footer-info{
        display: inline-block;
    }
    .footer-info:nth-child(3){
        margin-left: 25px;
    }
}

/*animation*/
/*<-------------動畫------------->*/

@keyframes animation_footertop {
    0%{
        transform: translateY(0);
    }
    25%{
        transform: translateY(-5px);
    }
    50%{
        transform: translateY(0px);
    }
    75%{
        transform: translateY(5px);
    }
    to {
        transform: translateY(0px);
    }
}
@media only screen and (min-width: 1001px){
    .index-top-box span{
        animation: animation_footertop 2s linear infinite;
    }
}